# $Revision: 1.14 $, $Date: 2008/05/31 00:37:28 $
Summary:	vbetool - run real-mode video BIOS code to alter hardware state
Summary(pl.UTF-8):	vbetool - modyfikacja trybu karty graficznej za pomocą jej BIOS-u
Name:		vbetool
Version:	1.1
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.codon.org.uk/~mjg59/vbetool/download/%{name}-%{version}.tar.gz
# Source0-md5:	ffb03b118867a02296d7449019ad8846
URL:		http://www.codon.org.uk/~mjg59/vbetool/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libx86-devel
BuildRequires:	pciutils-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
# it's supposed to be arch independant; see libx86.spec
ExclusiveArch: %{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
vbetool uses lrmi in order to run code from the video BIOS. Currently,
it is able to alter DPMS states, save/restore video card state, and
attempt to initialize the video card from scratch. It exists primarily
in order to increase the chances of successfully recovering video
state after an ACPI S3 suspend.

%description -l pl.UTF-8
vbetool używa lrmi do uruchamiania kodu BIOS-u karty graficznej.
Aktualnie potrafi zmieniać stany DPMS, zapisywać/odtwarzać stan karty
graficznej oraz próbować zainicjować kartę od zera. Służy głównie
zwiększeniu szans właściwego odtworzenia stanu grafiki po uśpieniu
przez ACPI S3.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%ifnarch %{ix86}
	--with-x86emu
%endif

%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}" \
	vbetool_DEPENDENCIES= \
	vbetool_LDADD=$(pkg-config --libs libpci)

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	vbetool_DEPENDENCIES=

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/vbetool
%{_mandir}/man1/vbetool.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vbetool.spec,v $
Revision 1.14  2008/05/31 00:37:28  qboosh
- cleanup

Revision 1.13  2008-05-31 00:37:09  qboosh
- use pkg-config for libpci linking; dropped libz patch

Revision 1.12  2008-05-30 23:27:52  qboosh
- updated to 1.1

Revision 1.11  2007-03-06 10:37:17  arekm
- x86 + x86_64 only for now

Revision 1.10  2007/03/03 11:17:37  arekm
- up to 1.0; isn't this usable on any architecture that uses pc-like video card?

Revision 1.9  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.7  2006/12/14 15:21:16  matkor
- Prolly missing BR zlib-devel.

Revision 1.6  2006/12/14 13:09:51  matkor
- Release 2. Added -lz.

Revision 1.5  2006/08/22 12:20:27  qboosh
- updated to 0.7, removed obsolete Makefile patch

Revision 1.4  2006/03/12 20:25:10  qboosh
- up to 0.5, added opt patch, cleanups
- enable x86emu on !x86

Revision 1.3  2006/03/09 20:48:09  qboosh
- longer pl desc, EA: x86 (because of lrmi)

Revision 1.2  2006/03/07 18:28:53  blekot
- log added
